%define upstream_name    autobox
%define upstream_version 2.83

%?perl_default_filter
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(autobox::universal\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Call methods on native types
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/autobox/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scope::Guard) >= 0.200.0
BuildRequires: perl-devel
Provides:   perl(autobox)

%description
The autobox pragma allows methods to be called on integers, floats,
strings, arrays, hashes, and code references in exactly the same manner as
blessed references.

The autoboxing is transparent: boxed values are not blessed into their
(user-defined) implementation class (unless the method elects to bestow
such a blessing) - they simply use its methods as though they are.

The classes (packages) into which the native types are boxed are fully
configurable. By default, a method invoked on a non-object is assumed to be
defined in a class whose name corresponds to the 'ref()' type of that value
- or SCALAR if the value is a non-reference.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.830.0-5.mga6
+ Revision: 1022679
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.830.0-4.mga6
+ Revision: 956737
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 2.830.0-3.mga6
+ Revision: 846049
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 2.830.0-2.mga6
+ Revision: 844736
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.830.0-1.mga6
+ Revision: 841213
- New version 2.83 + Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 2.820.0-5.mga5
+ Revision: 743939
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.820.0-4.mga5
+ Revision: 725838
- fix excludes

* Tue Sep 16 2014 umeabot <umeabot> 2.820.0-3.mga5
+ Revision: 687007
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.820.0-2.mga5
+ Revision: 631912
- Rebuild for perl 5.20

* Fri Feb 07 2014 sander85 <sander85> 2.820.0-1.mga5
+ Revision: 585240
- update to 2.82

* Sat Oct 19 2013 umeabot <umeabot> 2.790.0-3.mga4
+ Revision: 524570
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.790.0-2.mga4
+ Revision: 431019
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 2.790.0-1.mga4
+ Revision: 430163
- new release
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.750.0-5.mga3
+ Revision: 375352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.750.0-4.mga3
+ Revision: 250934
- rebuild for perl 5.16

* Wed May 30 2012 jquelin <jquelin> 2.750.0-3.mga3
+ Revision: 250905
- rebuild for perl 5.16

* Wed May 30 2012 jquelin <jquelin> 2.750.0-2.mga3
+ Revision: 250274
- rebuild for perl 5.16
- update to 2.75

* Sat Jun 11 2011 spuhler <spuhler> 2.730.0-3.mga2
+ Revision: 104046
- increase rel for rebuild

* Sat Jun 11 2011 jquelin <jquelin> 2.730.0-2.mga2
+ Revision: 103457
- perl 5.14

* Mon Mar 14 2011 jquelin <jquelin> 2.730.0-1.mga1
+ Revision: 70997
- update to 2.73

* Wed Feb 16 2011 jquelin <jquelin> 2.720.0-1.mga1
+ Revision: 52287
- update to 2.72

* Sat Jan 22 2011 jquelin <jquelin> 2.710.0-1.mga1
+ Revision: 31531
- mageia rebuild
- imported package perl-autobox

